/*
 * FragmentQueueUnitTest.hpp
 *
 *  Created on: Oct 23, 2011
 *      Author: heber
 */

#ifndef FRAGMENTQUEUEUNITTEST_HPP_
#define FRAGMENTQUEUEUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

class FragmentQueue;

/********************************************** Test classes **************************************/

class FragmentQueueTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( FragmentQueueTest) ;
    CPPUNIT_TEST ( JobTest );
    CPPUNIT_TEST ( JobsTest );
    CPPUNIT_TEST ( ResultsTest );
    CPPUNIT_TEST ( AllResultsTest );
    CPPUNIT_TEST ( resubmitTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void JobTest();
      void JobsTest();
      void ResultsTest();
      void AllResultsTest();
      void resubmitTest();

private:
      FragmentQueue *queue;
};

#endif /* FRAGMENTQUEUEUNITTEST_HPP_ */
